Bug 819401 - [LXC] virsh dominfo can't get a correct VCPU number
[LXC] virsh dominfo can't get a correct VCPU number
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 02:35 EDT by Alex Jia
Modified: 2013-02-21 02:12 EST (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.9.13-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:12:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Jia 2012-05-07 02:35:46 EDT
Description of problem:
virsh dominfo can't get a correct VCPU number. The issue originally is met by users, who are using Openstack and Libvirt/LXC as their virtualization endpoint.


Version-Release number of selected component (if applicable):
# rpm -q libvirt
libvirt-0.9.10-16.el6.x86_64

How reproducible:
always

Steps to Reproduce:

# virsh -c lxc:/// define /tmp/toy.xml
Domain toy defined from /tmp/toy.xml

# virsh -c lxc:/// dumpxml toy
<domain type='lxc'>
  <name>toy</name>
  <uuid>bb428983-cb9f-4702-0f8d-7d4e143d9aad</uuid>
  <memory unit='KiB'>500000</memory>
  <currentMemory unit='KiB'>500000</currentMemory>
  <vcpu>4</vcpu>
  <os>
    <type arch='x86_64'>exe</type>
    <init>/bin/sh</init>
  </os>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/libexec/libvirt_lxc</emulator>
    <console type='pty'>
      <target type='lxc' port='0'/>
    </console>
  </devices>
</domain>

Notes, defined a lxc guest with 4 vcpu.

# virsh -c lxc:/// dominfo toy
Id:             -
Name:           toy
UUID:           bb428983-cb9f-4702-0f8d-7d4e143d9aad
OS Type:        exe
State:          shut off
CPU(s):         1
Max memory:     500000 kB
Used memory:    500000 kB
Persistent:     yes
Autostart:      disable
Managed save:   unknown
Security model: selinux
Security DOI:   0

Notes, virsh dominfo says the guest has only 1 vcpu.

Actual results:
The result is not consistent with actual vcpu number.

Expected results:
Fix it.

Additional info:
It's fine for qemu driver.
Comment 3 Martin Kletzander 2012-06-04 06:51:44 EDT
Moving to POST:

commit 87dfdb0b92f234a08408332095454260f1c86917
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Tue May 29 09:12:32 2012 +0200

    lxc: return correct number of CPUs
Comment 6 EricLee 2012-07-24 08:59:09 EDT
Can reproduce the bug in libvirt-0.9.10-21.el6, but can not reproduce in libvirt-0.9.13-3.el6.

# virsh -c lxc:/// dumpxml toy
<domain type='lxc'>
  <name>toy</name>
  <uuid>bb428983-cb9f-4702-0f8d-7d4e143d9aad</uuid>
  <memory unit='KiB'>500000</memory>
  <currentMemory unit='KiB'>500000</currentMemory>
  <vcpu placement='static'>4</vcpu>
  <os>
    <type arch='x86_64'>exe</type>
    <init>/bin/sh</init>
  </os>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/libexec/libvirt_lxc</emulator>
    <console type='pty'>
      <target type='lxc' port='0'/>
    </console>
  </devices>
</domain>

# virsh -c lxc:/// dominfo toy
Id:             -
Name:           toy
UUID:           bb428983-cb9f-4702-0f8d-7d4e143d9aad
OS Type:        exe
State:          shut off
CPU(s):         4
Max memory:     500000 KiB
Used memory:    500000 KiB
Persistent:     yes
Autostart:      disable
Managed save:   unknown

Get the expected result of CPU numbers.

So setting verified.
Comment 7 errata-xmlrpc 2013-02-21 02:12:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.